# Stream

## StreamImageCommand

StreamImageCommand() is a lightweight method designed to extract pixels from large image files to a raw format using a minimum of system resources. The entire image or any regular portion of the image can be extracted.

The format of the StreamImageCommand method is:

    MagickBooleanType StreamImageCommand(ImageInfo *image_info,int argc,
      char **argv,char **metadata,ExceptionInfo *exception)

A description of each parameter follows:

image_info
  the image info.
argc
  the number of elements in the argument vector.
argv
  A text array containing the command line arguments.
metadata
  any metadata is returned here.
exception
  return any errors or warnings in this structure.